summaryrefslogtreecommitdiffstats
path: root/graphics/fontforge/fontforge.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/fontforge/fontforge.SlackBuild')
-rw-r--r--graphics/fontforge/fontforge.SlackBuild29
1 files changed, 16 insertions, 13 deletions
diff --git a/graphics/fontforge/fontforge.SlackBuild b/graphics/fontforge/fontforge.SlackBuild
index 4c617e7c58..57ed2fb31f 100644
--- a/graphics/fontforge/fontforge.SlackBuild
+++ b/graphics/fontforge/fontforge.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fontforge
-# Copyright 2006-2008 Robby Workman Northport, Alabama, USA
+# Copyright 2006-2009 Robby Workman Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +22,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Thanks to Eric Hameleers for some pointers on getting the fontforge.pc
-# file right without too much manual intervention :-)
-
PRGNAM=fontforge
-VERSION=20080927
+VERSION=20090224
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+ENABLE_BCINT=${ENABLE_BCINT:-no}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -59,9 +58,10 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --mandir=/usr/man \
--with-x \
- --with-freetype-src=$CWD/freetype-2.3.5 \
- --with-freetype-bytecode=no \
+ --with-freetype-src=$CWD/freetype-2.3.7 \
+ --with-freetype-bytecode=$ENABLE_BCINT \
--with-devicetables \
--enable-libff \
--enable-pyextension \
@@ -73,7 +73,7 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make prefix=$PKG/usr libdir=$PKG/usr/lib install
+make install DESTDIR=$PKG
# Let's add the cidmaps if the user downloaded them
if [ -e $CWD/cidmaps.tgz ]; then
@@ -84,18 +84,21 @@ if [ -e $CWD/cidmaps.tgz ]; then
fi
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ); do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS INSTALL LICENSE README-Unix.html README-unix VERSION \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS INSTALL LICENSE README-Unix.html README-unix VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chmod 644 {} \;